package xyz.etztech.serverapi.web;

import xyz.etztech.serverapi.web.api.PlayerAPI;
import xyz.etztech.serverapi.web.api.QueryAPI;
import xyz.etztech.serverapi.web.api.TPSAPI;
import xyz.etztech.serverapi.web.api.WorldAPI;

import java.util.List;
import java.util.Set;

public interface IProvider {
    Set<PlayerAPI> bans();
    Set<PlayerAPI> players();
    QueryAPI query();
    TPSAPI TPS();
    List<WorldAPI> worlds();
    WorldAPI world(String name);

    void log(String message);
}
